﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[SYSCUR]') AND name = N'KEY0')
BEGIN 
PRINT 'Creating index KEY0 on table SYSCUR'
CREATE NONCLUSTERED INDEX [KEY0] ON [dbo].[SYSCUR] 
(
	[CURR] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DELC on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND1 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND1] DEFAULT ((0)) FOR [TEND1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND2 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND2] DEFAULT ((0)) FOR [TEND2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND3 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND3] DEFAULT ((0)) FOR [TEND3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND4 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND4] DEFAULT ((0)) FOR [TEND4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND5 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND5] DEFAULT ((0)) FOR [TEND5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND6 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND6] DEFAULT ((0)) FOR [TEND6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND7 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND7] DEFAULT ((0)) FOR [TEND7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND8 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND8] DEFAULT ((0)) FOR [TEND8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND9 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND9] DEFAULT ((0)) FOR [TEND9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND10 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND10] DEFAULT ((0)) FOR [TEND10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND11 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND11] DEFAULT ((0)) FOR [TEND11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND12 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND12] DEFAULT ((0)) FOR [TEND12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND13 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND13] DEFAULT ((0)) FOR [TEND13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND14 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND14] DEFAULT ((0)) FOR [TEND14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND15')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND15 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND15] DEFAULT ((0)) FOR [TEND15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND16')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND16 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND16] DEFAULT ((0)) FOR [TEND16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND17')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND17 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND17] DEFAULT ((0)) FOR [TEND17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND18')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND18 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND18] DEFAULT ((0)) FOR [TEND18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND19')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND19 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND19] DEFAULT ((0)) FOR [TEND19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'TEND20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_TEND20')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_TEND20 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_TEND20] DEFAULT ((0)) FOR [TEND20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'IEPC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_IEPC')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_IEPC on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_IEPC] DEFAULT ((0)) FOR [IEPC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'CurrencySymbol' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_CurrencySymbol')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_CurrencySymbol on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_CurrencySymbol] DEFAULT ('') FOR [CurrencySymbol]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'PrintSymbol' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_PrintSymbol')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_PrintSymbol on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_PrintSymbol] DEFAULT ((0)) FOR [PrintSymbol]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'ActiveDate' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_ActiveDate')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_ActiveDate on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_ActiveDate] DEFAULT ('2009-01-01') FOR [ActiveDate]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'InactiveDate' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_InactiveDate')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_InactiveDate on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_InactiveDate] DEFAULT ('2012-01-01') FOR [InactiveDate]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'SysDefaultCurr' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_SysDefaultCurr')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_SysDefaultCurr on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_SysDefaultCurr] DEFAULT ((0)) FOR [SysDefaultCurr]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'MaxAccepted' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_MaxAccepted')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_MaxAccepted on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_MaxAccepted] DEFAULT ((0)) FOR [MaxAccepted]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom1 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom1] DEFAULT ((0)) FOR [Denom1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom2 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom2] DEFAULT ((0)) FOR [Denom2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom3 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom3] DEFAULT ((0)) FOR [Denom3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom4 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom4] DEFAULT ((0)) FOR [Denom4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom5 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom5] DEFAULT ((0)) FOR [Denom5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom6 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom6] DEFAULT ((0)) FOR [Denom6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom7 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom7] DEFAULT ((0)) FOR [Denom7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom8 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom8] DEFAULT ((0)) FOR [Denom8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom9 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom9] DEFAULT ((0)) FOR [Denom9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom10 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom10] DEFAULT ((0)) FOR [Denom10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom11 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom11] DEFAULT ((0)) FOR [Denom11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom12 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom12] DEFAULT ((0)) FOR [Denom12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom13 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom13] DEFAULT ((0)) FOR [Denom13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom14 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom14] DEFAULT ((0)) FOR [Denom14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom15')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom15 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom15] DEFAULT ((0)) FOR [Denom15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom16')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom16 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom16] DEFAULT ((0)) FOR [Denom16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom17')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom17 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom17] DEFAULT ((0)) FOR [Denom17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom18')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom18 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom18] DEFAULT ((0)) FOR [Denom18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom19')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom19 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom19] DEFAULT ((0)) FOR [Denom19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'Denom20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_Denom20')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_Denom20 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_Denom20] DEFAULT ((0)) FOR [Denom20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt1 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt1] DEFAULT ('') FOR [DenTxt1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt2 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt2] DEFAULT ('') FOR [DenTxt2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt3 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt3] DEFAULT ('') FOR [DenTxt3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt4 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt4] DEFAULT ('') FOR [DenTxt4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt5 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt5] DEFAULT ('') FOR [DenTxt5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt6 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt6] DEFAULT ('') FOR [DenTxt6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt7 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt7] DEFAULT ('') FOR [DenTxt7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt8 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt8] DEFAULT ('') FOR [DenTxt8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt9 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt9] DEFAULT ('') FOR [DenTxt9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt10 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt10] DEFAULT ('') FOR [DenTxt10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt11 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt11] DEFAULT ('') FOR [DenTxt11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt12 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt12] DEFAULT ('') FOR [DenTxt12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt13 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt13] DEFAULT ('') FOR [DenTxt13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt14 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt14] DEFAULT ('') FOR [DenTxt14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt15')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt15 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt15] DEFAULT ('') FOR [DenTxt15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt16')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt16 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt16] DEFAULT ('') FOR [DenTxt16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt17')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt17 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt17] DEFAULT ('') FOR [DenTxt17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt18')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt18 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt18] DEFAULT ('') FOR [DenTxt18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt19')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt19 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt19] DEFAULT ('') FOR [DenTxt19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenTxt20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenTxt20')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenTxt20 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenTxt20] DEFAULT ('') FOR [DenTxt20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq1 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq1] DEFAULT ((0)) FOR [DenSeq1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq2 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq2] DEFAULT ((0)) FOR [DenSeq2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq3 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq3] DEFAULT ((0)) FOR [DenSeq3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq4 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq4] DEFAULT ((0)) FOR [DenSeq4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq5 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq5] DEFAULT ((0)) FOR [DenSeq5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq6 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq6] DEFAULT ((0)) FOR [DenSeq6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq7 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq7] DEFAULT ((0)) FOR [DenSeq7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq8 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq8] DEFAULT ((0)) FOR [DenSeq8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq9 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq9] DEFAULT ((0)) FOR [DenSeq9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq10 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq10] DEFAULT ((0)) FOR [DenSeq10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq11 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq11] DEFAULT ((0)) FOR [DenSeq11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq12 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq12] DEFAULT ((0)) FOR [DenSeq12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq13 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq13] DEFAULT ((0)) FOR [DenSeq13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq14 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq14] DEFAULT ((0)) FOR [DenSeq14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq15')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq15 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq15] DEFAULT ((0)) FOR [DenSeq15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq16')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq16 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq16] DEFAULT ((0)) FOR [DenSeq16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq17')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq17 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq17] DEFAULT ((0)) FOR [DenSeq17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq18')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq18 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq18] DEFAULT ((0)) FOR [DenSeq18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq19')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq19 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq19] DEFAULT ((0)) FOR [DenSeq19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'DenSeq20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_DenSeq20')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_DenSeq20 on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_DenSeq20] DEFAULT ((0)) FOR [DenSeq20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSCUR' AND COLUMN_NAME = 'SPARE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSCUR_SPARE')
BEGIN 
    PRINT 'Creating default constraint DF_SYSCUR_SPARE on table SYSCUR' 
    ALTER TABLE [dbo].[SYSCUR]
    ADD CONSTRAINT [DF_SYSCUR_SPARE] DEFAULT ('') FOR [SPARE]
END 
GO

